Name:		kmetronome
Version:	1.2.0
Release:	%mkrel 1
Summary:	Drumstick Metronome - MIDI Metronome using ALSA sequencer
License:	GPLv2+
Group:		Sound/Midi
Url:		https://kmetronome.sourceforge.io/
Source0:	https://download.sourceforge.net/kmetronome/%{name}-%{version}.tar.bz2

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(drumstick-alsa)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
Drumstick Metronome is a MIDI metronome based on the ALSA sequencer.
Intended for musicians and music students, it is a tool to keep the rhythm
while playing musical instruments. It uses MIDI for sound generation instead
of digital audio, allowing low CPU usage, and very accurate timing thanks
to the ALSA sequencer.

%prep
%setup -q

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%files
%doc ChangeLog AUTHORS NEWS doc/%{name}.html doc/%{name}*.png
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/*/net.sourceforge.%{name}*
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Jan 03 2021 akien <akien> 1.2.0-1.mga8
+ Revision: 1668430
- Version 1.2.0

* Thu Dec 17 2020 umeabot <umeabot> 1.0.1-3.mga8
+ Revision: 1658767
- Rebuild for new Qt5

* Mon Feb 17 2020 umeabot <umeabot> 1.0.1-2.mga8
+ Revision: 1537671
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Wed Nov 06 2019 daviddavid <daviddavid> 1.0.1-1.mga8
+ Revision: 1458335
- new version: 1.0.1

* Sat Mar 30 2019 umeabot <umeabot> 1.0.0-4.mga7
+ Revision: 1382637
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-3.mga7
+ Revision: 1298588
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 1.0.0-2.mga6
+ Revision: 952026
- Mageia 6 Mass Rebuild

* Wed Jan 14 2015 akien <akien> 1.0.0-1.mga5
+ Revision: 810652
- Version 1.0.0
  o Qt5 support, independent of KDE libs
  o New name: Drumstick Metronome

* Wed Oct 15 2014 umeabot <umeabot> 0.10.1-7.mga5
+ Revision: 741067
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.1-6.mga5
+ Revision: 681116
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.10.1-5.mga4
+ Revision: 530154
- Mageia 4 Mass Rebuild

* Fri Jul 19 2013 fwang <fwang> 0.10.1-4.mga4
+ Revision: 456321
- kdesdk4 is not required

* Sat Jan 12 2013 umeabot <umeabot> 0.10.1-3.mga3
+ Revision: 356305
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 barjac <barjac> 0.10.1-2.mga3
+ Revision: 333514
- change group to new policy

* Wed Jul 11 2012 obgr_seneca <obgr_seneca> 0.10.1-1.mga3
+ Revision: 269396
- cleaned spec file
+ dglent <dglent>
- imported package kmetronome

